# Security update for libeconf

Announcement ID: SUSE-SU-2023:3954-2  
Rating: important  
References:

  * bsc#1211078

  
Cross-References:

  * CVE-2023-22652
  * CVE-2023-30078
  * CVE-2023-30079
  * CVE-2023-32181

  
CVSS scores:

  * CVE-2023-22652 ( SUSE ):  5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
  * CVE-2023-22652 ( NVD ):  3.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
  * CVE-2023-30078 ( SUSE ):  7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
  * CVE-2023-30078 ( NVD ):  8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
  * CVE-2023-30079 ( SUSE ):  7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
  * CVE-2023-30079 ( NVD ):  8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
  * CVE-2023-32181 ( SUSE ):  5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
  * CVE-2023-32181 ( NVD ):  3.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L

  
Affected Products:

  * SUSE Linux Enterprise Micro 5.5

  
  
An update that solves four vulnerabilities can now be installed.

## Description:

This update for libeconf fixes the following issues:

Update to version 0.5.2.

  * CVE-2023-30078, CVE-2023-32181: Fixed a stack-buffer-overflow vulnerability
    in "econf_writeFile" function (bsc#1211078).
  * CVE-2023-30079, CVE-2023-22652: Fixed a stack-buffer-overflow vulnerability
    in "read_file" function. (bsc#1211078)

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * SUSE Linux Enterprise Micro 5.5  
    zypper in -t patch SUSE-SLE-Micro-5.5-2023-3954=1

## Package List:

  * SUSE Linux Enterprise Micro 5.5 (aarch64 s390x x86_64)
    * libeconf0-0.5.2-150400.3.6.1
    * libeconf-debugsource-0.5.2-150400.3.6.1
    * libeconf0-debuginfo-0.5.2-150400.3.6.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-22652.html
  * https://www.suse.com/security/cve/CVE-2023-30078.html
  * https://www.suse.com/security/cve/CVE-2023-30079.html
  * https://www.suse.com/security/cve/CVE-2023-32181.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1211078

SUSE: 2023:3954-2 important: libeconf

October 18, 2023
* bsc#1211078 Cross-References: * CVE-2023-22652 * CVE-2023-30078

Summary

## This update for libeconf fixes the following issues: Update to version 0.5.2. * CVE-2023-30078, CVE-2023-32181: Fixed a stack-buffer-overflow vulnerability in "econf_writeFile" function (bsc#1211078). * CVE-2023-30079, CVE-2023-22652: Fixed a stack-buffer-overflow vulnerability in "read_file" function. (bsc#1211078) ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * SUSE Linux Enterprise Micro 5.5 zypper in -t patch SUSE-SLE-Micro-5.5-2023-3954=1 ## Package List: * SUSE Linux Enterprise Micro 5.5 (aarch64 s390x x86_64) * libeconf0-0.5.2-150400.3.6.1 * libeconf-debugsource-0.5.2-150400.3.6.1 * libeconf0-debuginfo-0.5.2-150400.3.6.1

References

* bsc#1211078

Cross-

* CVE-2023-22652

* CVE-2023-30078

* CVE-2023-30079

* CVE-2023-32181

CVSS scores:

* CVE-2023-22652 ( SUSE ): 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

* CVE-2023-22652 ( NVD ): 3.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L

* CVE-2023-30078 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

* CVE-2023-30078 ( NVD ): 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

* CVE-2023-30079 ( SUSE ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

* CVE-2023-30079 ( NVD ): 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

* CVE-2023-32181 ( SUSE ): 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

* CVE-2023-32181 ( NVD ): 3.3 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L

Affected Products:

* SUSE Linux Enterprise Micro 5.5

An update that solves four vulnerabilities can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-22652.html

* https://www.suse.com/security/cve/CVE-2023-30078.html

* https://www.suse.com/security/cve/CVE-2023-30079.html

* https://www.suse.com/security/cve/CVE-2023-32181.html

* https://bugzilla.suse.com/show_bug.cgi?id=1211078

Severity
Announcement ID: SUSE-SU-2023:3954-2
Rating: important

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo